Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CAM/PDF.pm) perl(HTML/Selector/XPath.pm) perl(LWP/Simple.pm) perl(Number/Rangify.pm) perl(Path/Class.pm) perl(URI.pm) perl(Web/Scraper.pm) perl(autobox.pm) perl(autobox/Core.pm) perl(autobox/Encode.pm) perl(charnames.pm) perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
BuildRequires: perl-Encode-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Encode-JP-Mobile
Version:        0.30
Release:        alt11_36
Summary:        Japan mobile phone Shift_JIS (CP932) / UTF-8 encoding
Summary(ja_JP): 日本の携帯電話向け Shift_JIS (CP932) / UTF-8 エンコーディング
License:        GPL+ or Artistic
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Encode-JP-Mobile-%{version}.tar.gz
# Fix a warning, CPAN RT#87393, bug #991873
Patch0:         Encode-JP-Mobile-0.30-Disable-a-test-for-kanji-name.patch
# Disable a failing test, CPAN RT#87393, bug #991873
Patch1:         Encode-JP-Mobile-0.30-Fix-warnings-counting-for-5.18.patch
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-Encode-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Encode/Alias.pm)
BuildRequires:  perl(Encode/CJKConstants.pm)
BuildRequires:  perl(Encode/Encoding.pm)
BuildRequires:  perl(Encode/MIME/Name.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(MIME/Words.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(YAML.pm)
Requires:       perl(Encode.pm) >= 2.230
Requires:       perl(File/ShareDir.pm) >= 0.050
Requires:       perl(MIME/Words.pm) >= 5.428


# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(\(Encode\|File.ShareDir\|MIME.Words\).pm)/d
Url: http://search.cpan.org/dist/Encode-JP-Mobile/

%description
Encode::JP::Mobile extends Encode module with Japanese emoticons for mobile
phones mapped into private area of Unicode.

%description -l ja_JP
Encode::JP::Mobile は Encode 用の拡張モジュールで、日本の携帯電話用絵文字を
Unicode の私用領域 (PRIVATE AREA) にマッピングします。

%prep
%setup -q -n Encode-JP-Mobile-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR="$RPM_BUILD_ROOT"
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendor_archlib}/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.30-alt11_36
- update to new release by fcimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt11_34
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_34
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_32
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_31
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_30
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_29
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_28
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 0.30-alt10_27
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt10_26
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.30-alt9_26
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.30-alt9_25
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.30-alt8_25
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_25
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_24
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_23
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_22
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.30-alt7_20
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt7_19
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt6_19
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.30-alt5_19
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.30-alt5_18
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.30-alt5_17
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.30-alt5_15
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.30-alt4_15
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.30-alt4_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.30-alt4_12
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt4_11
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.30-alt3_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.30-alt3_10
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt3_9
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.30-alt2_9
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.30-alt2_7
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_7
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_6
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_5
- update to new release by fcimport

* Wed Sep 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_4
- rebuild

* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_2
- update to new release by fcimport

* Sat Nov 10 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_1
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.28-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_1
- fc import

